include ../../atoms/icon/icon
mixin social(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''
  - spec.social = spec.social || ''

  .social(class=spec.__class)&attributes(attributes)
    each social in spec.social
      a(href="/" +social.link+ "" target="_blank").social__link
        +icon({ '__class': 'social__icon', icon: social.icon })